<apex:page id="vfpagefluid" title="Fluid Settings - Destination Facility Favorites" controller="FM_CustomizeFacilityFavoritesController"
	docType="html-5.0" cache="true" tabstyle="Dispatch_View__tab">

	<apex:form >
		<apex:pageMessages id="errorMsg"></apex:pageMessages>

		<apex:pageBlock title="Source facility/well location not valid!"
			rendered="{!AND(sourceFacility = null, sourceWellLocation == null)}">
			<apex:pageBlockButtons location="top">
				<apex:commandButton value="Go Back" action="{!Exit}" />
			</apex:pageBlockButtons>
		</apex:pageBlock>

		<apex:pageBlock title="Configure Faciity Favorites for {!sourceFunctionalLocationName}"
			rendered="{!OR(sourceFacility != null, sourceWellLocation != null)}">
			<apex:pageBlockButtons location="bottom">
				<apex:commandButton value="Cancel" action="{!Exit}" />
				<apex:commandButton value="Save" action="{!Save}" />
			</apex:pageBlockButtons>

			<c:FM_MultiselectPicklist id="welllist" leftLabel="Available Destination Facilities" leftOptionsParam="{!allDestinations}" rightLabel="Favorite Facilities" rightOptionsParam="{!selectedDestinations}" size="14" width="200px" />
		</apex:pageBlock>
	</apex:form>
	
</apex:page>